summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/maps/0024named_objects_2
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/maps/0024named_objects_2')
-rwxr-xr-xtests/shell/testcases/maps/0024named_objects_223
1 files changed, 23 insertions, 0 deletions
diff --git a/tests/shell/testcases/maps/0024named_objects_2 b/tests/shell/testcases/maps/0024named_objects_2
new file mode 100755
index 00000000..584b5100
--- /dev/null
+++ b/tests/shell/testcases/maps/0024named_objects_2
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+#
+# Test some error conditions for using variables to define maps
+#
+
+set -e
+
+for m in "192.168.2.2" "{ 192.168.2.2, 1.1.1.1, 2.2.2.2 }"; do
+
+ RULESET="
+define m = $m"'
+table inet x {
+ chain y {
+ type filter hook input priority 0; policy accept;
+ counter name ip saddr map $m
+ }
+}'
+
+ $NFT -f - <<< "$RULESET" || rc=$?
+ test $rc = 1
+
+done